package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.ServiceExpenditure;
import com.lightinit.hsdatashow.entity.ServiceExpenditureExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ServiceExpenditureMapper {
    long countByExample(ServiceExpenditureExample example);

    int deleteByExample(ServiceExpenditureExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ServiceExpenditure record);

    int insertSelective(ServiceExpenditure record);

    List<ServiceExpenditure> selectByExample(ServiceExpenditureExample example);

    ServiceExpenditure selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ServiceExpenditure record, @Param("example") ServiceExpenditureExample example);

    int updateByExample(@Param("record") ServiceExpenditure record, @Param("example") ServiceExpenditureExample example);

    int updateByPrimaryKeySelective(ServiceExpenditure record);

    int updateByPrimaryKey(ServiceExpenditure record);

    List<ServiceExpenditure> selectList(int year);
}